Skip to main content
`Ctrl`+`K`

# PetscLogSet

Deprecated.

## Synopsis

    PETSC_DEPRECATED_FUNCTION(3, 20, 0, "PetscLogLegacyCallbacksBegin()", )
    static inline PetscErrorCode PetscLogSet(PetscErrorCode (*a)(int, int, PetscObject, PetscObject, PetscObject, PetscObject), PetscErrorCode (*b)(int, int, PetscObject, PetscObject, PetscObject, PetscObject))

## Note

PETSc performance logging and profiling is now split up between the logging state (`PetscLogState`) and the log handler (`PetscLogHandler`). The global logging state is obtained with `PetscLogGetState()`; many log handlers may be used at once (`PetscLogHandlerStart()`) and the default log handler is not directly accessible.

## See Also

Profiling, `PetscLogEventGetPerfInfo()`

## Level

deprecated

## Location

include/petsclogdeprecated.h

Index of all Log routines
Table of Contents for all manual pages
Index of all manual pages